## peek 1.5.1

=== CMakeLists.txt ===
project("peek" C)
cmake_minimum_required(VERSION 2.6)

set (PEEK_VERSION_MAJOR 1)
set (PEEK_VERSION_MINOR 5)
set (PEEK_VERSION_PATCH 1)

# Get full Peek version
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
  find_package(Git)
  if(GIT_FOUND)
    execute_process(
      COMMAND ${GIT_EXECUTABLE} describe --tags
      WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
      OUTPUT_VARIABLE "PEEK_VERSION_FULL"
      ERROR_QUIET
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    if(NOT PEEK_VERSION_FULL)
      execute_process(
        COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        OUTPUT_VARIABLE "GIT_REVISION"
        ERROR_QUIET
        OUTPUT_STRIP_TRAILING_WHITESPACE)
      set(PEEK_VERSION_FULL "${PEEK_VERSION_MAJOR}.${PEEK_VERSION_MINOR}.${PEEK_VERSION_PATCH}-${GIT_REVISION}")
    endif()
  endif()
endif()

if(NOT PEEK_VERSION_FULL)
  set(PEEK_VERSION_FULL "${PEEK_VERSION_MAJOR}.${PEEK_VERSION_MINOR}.${PEEK_VERSION_PATCH}")
endif()
message(STATUS "Peek version: ${PEEK_VERSION_FULL}" )

# Include macros for Vala and GLib
list(APPEND CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake
)

include(GNUInstallDirs)
include(CTest)
include(FindVala)
include(UseVala)
include(GResource)

set (GettextTranslate_GMO_BINARY TRUE)
set (GettextTranslate_ALL TRUE)
if (NOT DEFINED LOCALEDIR)
  set (LOCALEDIR ${CMAKE_INSTALL_FULL_LOCALEDIR})
endif ()
include(GettextTranslate)

# Check dependencies
find_package(Vala 0.22 REQUIRED)

find_package(PkgConfig)
set(REQUIRE_GTK "3.20")
pkg_check_modules(GTK REQUIRED gtk+-3.0>=${REQUIRE_GTK})
pkg_check_modules(CAIRO REQUIRED cairo)
pkg_check_modules(GIO REQUIRED gio-2.0>=2.42)
pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.38)
pkg_check_modules(GMODULE REQUIRED gmodule-2.0)
pkg_check_modules(KEYBINDER keybinder-3.0)

add_definitions(${GTK_CFLAGS} ${GTK_CFLAGS_OTHER})
link_libraries(${GTK_LIBRARIES})
link_libraries(${KEYBINDER_LIBRARIES})
link_directories(${GTK_LIBRARY_DIRS})

# compile glib resource files to c code
configure_file (
  "${PROJECT_SOURCE_DIR}/ui/about.ui.in"
  "${PROJECT_SOURCE_DIR}/ui/about.ui"
  )

GLIB_COMPILE_RESOURCES(GLIB_RESOURCES
  SOURCE
    ui/${PROJECT_NAME}.gresource.xml
)

set(VALA_DEFINITIONS "")
set(VALA_CUSTOM_VAPIS "")

list(APPEND VALA_CUSTOM_VAPIS "src/vapi/config.vapi")

if(NOT CMAKE_BUILD_TYPE STREQUAL Release)
  message (STATUS "Debug build")
  list(APPEND VALA_DEFINITIONS "DEBUG")
endif()

if(${KEYBINDER_FOUND})
  list(APPEND VALA_DEFINITIONS "HAS_KEYBINDER")
  list(APPEND VALA_CUSTOM_VAPIS "src/vapi/keybinder-3.0.vapi")
endif()

# Check for GTK features
if(${GTK_VERSION} VERSION_EQUAL "3.20" OR ${GTK_VERSION} VERSION_GREATER "3.20")
  message(STATUS "Compiling with features for GTK >= 3.20")
  set(REQUIRE_GTK "3.20")

  if(ENABLE_FILECHOOSERNATIVE OR DISABLE_OPEN_FILE_MANAGER)
    message(STATUS "Compiling with Gtk.FileChooserNative")
    list(APPEND VALA_DEFINITIONS "HAS_GTK_FILECHOOSERNATIVE")
  endif()
endif()

if(${GTK_VERSION} VERSION_EQUAL "3.22" OR ${GTK_VERSION} VERSION_GREATER "3.22")
  message(STATUS "Compiling with features for GTK >= 3.22")
  set(REQUIRE_GTK "3.22")
  list(APPEND VALA_DEFINITIONS "HAS_GTK_SHORTCUT_LABEL")
  list(APPEND VALA_DEFINITIONS "HAS_GTK_SHOW_URI_ON_WINDOW")
endif()

# Flags for disabling certain features
if(DISABLE_GNOME_SHELL)
  message(STATUS "GNOME Shell recorder disabled by configuration")
  list(APPEND VALA_DEFINITIONS "DISABLE_GNOME_SHELL")
endif()

if(DISABLE_OPEN_FILE_MANAGER)
  message(STATUS "File manager integration disabled by configuration")
  list(APPEND VALA_DEFINITIONS "DISABLE_OPEN_FILE_MANAGER")
endif()

# Compile Vala to C
vala_precompile(VALA_C
    src/main.vala
    src/application.vala
    src/desktop-integration.vala
    src/defaults.vala
    src/errordomain.vala
    src/gtk-helper.vala
    src/utils.vala
    src/dbus/freedesktop-dbus.vala
    src/dbus/freedesktop-filemanager.vala
    src/dbus/gnome-shell-screencast.vala
    src/post-processing/cli-post-processor.vala
    src/post-processing/extract-frames-post-processor.vala
    src/post-processing/ffmpeg-post-processor.vala
    src/post-processing/gifski-post-processor.vala
    src/post-processing/post-processing-pipeline.vala
    src/post-processing/post-processor.vala
    src/recording/base-screen-recorder.vala
    src/recording/cli-screen-recorder.vala
    src/recording/ffmpeg-screen-recorder.vala
    src/recording/ffmpeg.vala
    src/recording/gnome-shell-dbus-recorder.vala
    src/recording/recording-area.vala
    src/recording/recording-config.vala
    src/recording/screen-recorder-factory.vala
    src/recording/screen-recorder.vala
    src/ui/about-dialog.vala
    src/ui/application-window.vala
    src/ui/set-window-size-dialog.vala
    src/ui/error-dialog.vala
    src/ui/preferences-dialog.vala
    src/ui/shortcut-label.vala
  PACKAGES
    gtk+-3.0
    posix
  DEFINITIONS
    ${VALA_DEFINITIONS}
  CUSTOM_VAPIS
    ${VALA_CUSTOM_VAPIS}
  GENERATE_HEADER
    application
  OPTIONS
    --target-glib=2.38
    --use-header
    --gresources=${CMAKE_SOURCE_DIR}/ui/${PROJECT_NAME}.gresource.xml
)

# Compile C code
add_definitions(-DGETTEXT_PACKAGE="${PROJECT_NAME}")
add_definitions(-DLOCALEDIR="${LOCALEDIR}")
add_definitions(-DVERSION="${PEEK_VERSION_FULL}")
add_definitions(-Wno-deprecated-declarations)
add_definitions(-Wno-incompatible-pointer-types)
add_definitions(-Wformat)
add_definitions(-Wformat-security)
add_executable(${PROJECT_NAME} ${VALA_C} ${GLIB_RESOURCES})

# Installation
install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

add_subdirectory(data)
add_subdirectory(po)

if(BUILD_TESTS)
  add_subdirectory(tests)
else()
  add_subdirectory(tests EXCLUDE_FROM_ALL)
endif()

# Uninstall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

# CPack configuration
set(CPACK_GENERATOR "DEB")
set(CPACK_PROJECT_CONFIG_FILE ${CMAKE_SOURCE_DIR}/package.txt)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Simple screen recorder with an easy to use interface")
set(CPACK_PACKAGE_VENDOR "")
set(CPACK_PACKAGE_CONTACT "Philipp Wolfer <ph.wolfer@gmail.com>")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION_MAJOR ${PEEK_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PEEK_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PEEK_VERSION_PATCH})
set(CPACK_PACKAGE_INSTALL_DIRECTORY "Peek")

set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= ${REQUIRE_GTK}), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg (>= 3), gstreamer1.0-plugins-good (>= 1.2)")
set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "gstreamer1.0-plugins-ugly")
set(CPACK_DEBIAN_PACKAGE_SUGGESTS "gifski")
set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
set(CPACK_DEBIAN_PACKAGE_SECTION "video")

include(CPack)

=== meson_options.txt ===
option('build-tests',              type : 'boolean', value : true)
option('enable-filechoosernative', type : 'boolean', value : false)
option('enable-gnome-shell',       type : 'boolean', value : true)
option('enable-open-file-manager', type : 'boolean', value : true)

=== tests/CMakeLists.txt ===
enable_testing()

# /desktop-integration/
vala_precompile(VALA_TEST_DESKTOP_INTEGRATION_C
    test-desktop-integration.vala
    ../src/desktop-integration.vala
    ../src/dbus/freedesktop-filemanager.vala
  PACKAGES
    gtk+-3.0
)

add_executable(
  ${PROJECT_NAME}-test-desktop-integration
  ${VALA_TEST_DESKTOP_INTEGRATION_C})

add_test(
  test-desktop-integration
  ${PROJECT_NAME}-test-desktop-integration)

add_dependencies(
  ${PROJECT_NAME}-test-desktop-integration
  ${PROJECT_NAME})

# /utils/
vala_precompile(VALA_TEST_UTILS_C
    test-utils.vala
    ../src/defaults.vala
    ../src/utils.vala
  PACKAGES
    gtk+-3.0
)

add_executable(
  ${PROJECT_NAME}-test-utils
  ${VALA_TEST_UTILS_C})

add_test(
  test-utils
  ${PROJECT_NAME}-test-utils)

add_dependencies(
  ${PROJECT_NAME}-test-utils
  ${PROJECT_NAME})

# /screen-recorder/recording-area/
vala_precompile(VALA_TEST_RECORDING_AREA_C
    screen-recorder/test-recording-area.vala
    ../src/recording/recording-area.vala
  PACKAGES
    gtk+-3.0
)

add_executable(
  ${PROJECT_NAME}-screen-recorder-test-recording-area
  ${VALA_TEST_RECORDING_AREA_C})

add_test(
  screen-recorder-test-recording-area
  ${PROJECT_NAME}-screen-recorder-test-recording-area)

add_dependencies(
  ${PROJECT_NAME}-screen-recorder-test-recording-area
  ${PROJECT_NAME})

# /screen-recorder/cli-screen-recorder/
vala_precompile(VALA_TEST_COMMAND_LINE_SCREEN_RECORDER_C
    screen-recorder/test-cli-screen-recorder.vala
    ../src/post-processing/cli-post-processor.vala
    ../src/post-processing/extract-frames-post-processor.vala
    ../src/post-processing/ffmpeg-post-processor.vala
    ../src/post-processing/gifski-post-processor.vala
    ../src/post-processing/post-processing-pipeline.vala
    ../src/post-processing/post-processor.vala
    ../src/recording/recording-area.vala
    ../src/recording/recording-config.vala
    ../src/recording/screen-recorder.vala
    ../src/recording/base-screen-recorder.vala
    ../src/recording/cli-screen-recorder.vala
    ../src/defaults.vala
    ../src/errordomain.vala
    ../src/utils.vala
  PACKAGES
    gtk+-3.0
    posix
)

add_executable(
  ${PROJECT_NAME}-test-screen-recorder-cli-screen-recorder
  ${VALA_TEST_COMMAND_LINE_SCREEN_RECORDER_C})

add_test(
  test-screen-recorder-cli-screen-recorder
  ${PROJECT_NAME}-test-screen-recorder-cli-screen-recorder)

add_dependencies(
  ${PROJECT_NAME}-test-screen-recorder-cli-screen-recorder
  ${PROJECT_NAME})

=== data/man/CMakeLists.txt ===
find_program(TXT2MAN txt2man)
find_program(GZIP gzip)

# It's not a requirement that we make man pages.
if (NOT TXT2MAN)
  message(WARNING "txt2man not found; man pages will not be generated.")
elseif (NOT GZIP)
  message(WARNING "gzip not found; man pages will not be generated.")
else ()
  # We have the tools.  We can make them.
  message(STATUS "Found txt2man and gzip; man page will be built and installed")
  string(TOUPPER ${PROJECT_NAME} MAN_TITLE)
  add_custom_command(
      OUTPUT ${PROJECT_NAME}.1.gz
      COMMAND ${TXT2MAN}
        -t ${MAN_TITLE}
        -r ${PEEK_VERSION_MAJOR}.${PEEK_VERSION_MINOR}.${PEEK_VERSION_PATCH}
        -s 1
        -v "\"User commands\""
        ${CMAKE_SOURCE_DIR}/data/man/${PROJECT_NAME}.1.txt
        | ${GZIP}
        > ${CMAKE_BINARY_DIR}/data/man/${PROJECT_NAME}.1.gz
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
  add_custom_target(build-manpage ALL DEPENDS ${PROJECT_NAME}.1.gz)

  # Set the rules to install the documentation.
  install(
    FILES ${CMAKE_BINARY_DIR}/data/man/${PROJECT_NAME}.1.gz
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/
  )
endif ()

=== debian/changelog ===
peek (1.5.1-1~mx19+2) mx; urgency=medium

  * Correct typo in debian/control file.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 17 Feb 2021 09:04:57 -0500

peek (1.5.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Move gstreamer1.0-plugins-ugly to depends.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 12 Feb 2021 20:46:52 -0500

peek (1.5.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Feb 2020 15:17:59 -0500

peek (1.5.1-1) unstable; urgency=high

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Feb 2020 11:59:44 -0500

peek (1.5.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Feb 2020 13:09:46 -0500

peek (1.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository.

  [ Boyuan Yang ]
  * New upstream release 1.5.0.
  * debian/patches: Drop all backported patches.
  * debian/upstream/metadata: Add Repository-Browse.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Feb 2020 11:59:45 -0500

peek (1.4.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Oct 2019 14:45:19 -0400

peek (1.4.0-2) unstable; urgency=medium

  * Backport upstream trunk commits till 2019-09-25.
  * debian/patches/0001: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Sep 2019 12:10:10 -0400

=== debian/control ===
Source: peek
Section: graphics
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 desktop-file-utils <!nocheck>,
 gettext (>= 0.19),
 libglib2.0-dev (>= 2.38),
 libgtk-3-dev (>= 3.14),
 libkeybinder-3.0-dev,
 libxml2-utils,
 meson,
 txt2man,
 valac,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/phw/peek
Vcs-Git: https://salsa.debian.org/debian/peek.git
Vcs-Browser: https://salsa.debian.org/debian/peek

Package: peek
Architecture: any
Depends:
 ffmpeg,
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends},
 gstreamer1.0-plugins-ugly
Suggests:
 gifski,
Description: Simple animated GIF screen recorder with GUI
 Peek is a simple screen recorder. It is optimized for generating
 animated GIFs but you can also directly record to WebM or MP4
 if you prefer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Vala work arounds:
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --buildsystem=meson

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Denable-filechoosernative=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES.md

## peek 1.5.1%2Bgit20230114

=== debian/changelog ===
peek (1.5.1+git20230114-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:36 +1100

peek (1.5.1+git20230114-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:36:50 +0000

peek (1.5.1+git20230114-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1030266)
  * New upstream git snapshot declaring project deprecation.
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Wed, 01 Feb 2023 14:34:03 -0500

peek (1.5.1+git20211214-1) unstable; urgency=medium

  * New upstream git snapshot.
  * debian/patches: Drop all patches, merged upstream.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Dec 2021 13:28:38 -0500

peek (1.5.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gettext,
      libglib2.0-dev and libgtk-3-dev.

  [ Boyuan Yang ]
  * debian/patches/0002-Add-support-for-gnome40.patch: Support GNOME 40+.
  * debian/patches/0001: Add "Forwarded" tag.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Dec 2021 14:06:44 -0500

peek (1.5.1-2) unstable; urgency=medium

  * Rebuild after Debian 11 release.
  * Bump debhelper compat to v13.
  * debian/patches/0001: Use python3 command instead of python in
    po/meson.build. Python command is now unavailable.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Sep 2021 12:49:25 -0400

## peek 1.5.1+git20211214

=== debian/control ===
Source: peek
Section: graphics
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 desktop-file-utils <!nocheck>,
 gettext,
 libglib2.0-dev,
 libgtk-3-dev,
 libkeybinder-3.0-dev,
 libxml2-utils,
 meson,
 python3,
 txt2man,
 valac,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/phw/peek
Vcs-Git: https://salsa.debian.org/debian/peek.git
Vcs-Browser: https://salsa.debian.org/debian/peek

Package: peek
Architecture: any
Depends:
 ffmpeg,
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gstreamer1.0-plugins-ugly,
Suggests:
 gifski,
Description: Simple animated GIF screen recorder with GUI
 Peek is a simple screen recorder. It is optimized for generating
 animated GIFs but you can also directly record to WebM or MP4
 if you prefer.

## peek 1.5.1+git20230114

=== meson_options.txt ===
option('build-tests',              type : 'boolean', value : true)
option('enable-keybinder',         type : 'feature', value : 'auto')
option('enable-filechoosernative', type : 'boolean', value : false)
option('enable-gnome-shell',       type : 'boolean', value : true)
option('enable-open-file-manager', type : 'boolean', value : true)

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: peek
 Section: graphics
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  desktop-file-utils <!nocheck>,
@@ -15,7 +15,7 @@
  txt2man,
  valac,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/phw/peek
 Vcs-Git: https://salsa.debian.org/debian/peek.git
 Vcs-Browser: https://salsa.debian.org/debian/peek

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Vala work arounds:
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Denable-filechoosernative=true
